Skip to main content
`Ctrl`+`K`

# STIsInjective

Returns whether this spectral transformation is injective or not (that is, if it corresponds to a one-to-one mapping). If not, then it does not make sense to call `STBackTransform()`.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STIsInjective(ST st,PetscBool* is)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- is - the answer

## Note

In case of non-injective transformations such as `STFILTER`, the eigenvalues of the original eigenproblem are computed via the Rayleigh quotient \(\rho(A,x) = \frac{x^*Ax}{x^*x}\) for each computed eigenvector \(x\).

## See Also

ST: Spectral Transformation, `STBackTransform()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

## Implementations

STIsInjective_Shell() in src/sys/classes/st/impls/shell/shell.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages